# Updates

Update WordPress core and run database schema upgrades.

Requires the WordPress Toolkit add-on.

Base path: .../wordpress-toolkit


# Update WordPress Core

Install the latest WordPress core or a specific version.

# HTTP Request:

PATCH https://api.serveravatar.com/organizations/{organization}/servers/{server}/applications/{application}/wordpress-toolkit/core-update

# Parameter:

Parameter Required Type Description
version No String Target WordPress version; omit to update to latest

# Curl Request Example:

curl --request PATCH \
  --url "https://api.serveravatar.com/organizations/5/servers/15/applications/93/wordpress-toolkit/core-update" \
  --header 'content-type: application/json' \
  --header 'Authorization: <YOUR API TOKEN>' \
  --data '{"version": "6.7.2"}'

# Response:

# Successful Response

  • 200 (Ok)
{
  "response": {
    "message": "WordPress core updated successfully",
    "output": "Success: WordPress is up to date.\n\nSuccess: WordPress database already at latest db version 60717.",
    "status": "success"
  }
}

# Validation Error

  • 422 (Unprocessable Entity)

# Server Error

  • 500 (Internal Server Error)

# Database Update

Run WordPress database schema upgrade after a core update.

# HTTP Request:

PATCH https://api.serveravatar.com/organizations/{organization}/servers/{server}/applications/{application}/wordpress-toolkit/database/update

# Parameter:

Parameter Required Type Description
dry_run No String "true" to preview; "false" to apply

# Curl Request Example:

curl --request PATCH \
  --url "https://api.serveravatar.com/organizations/5/servers/15/applications/93/wordpress-toolkit/database/update" \
  --header 'content-type: application/json' \
  --header 'Authorization: <YOUR API TOKEN>' \
  --data '{"dry_run": "false"}'

# Response:

# Successful Response

  • 200 (Ok)
{
  "response": {
    "message": "Database updated successfully",
    "output": "Success: WordPress database already at latest db version 60717.",
    "status": "success"
  }
}

# Validation Error

  • 422 (Unprocessable Entity)

# Server Error

  • 500 (Internal Server Error)
Last Updated: 5/19/2026, 9:56:51 AM